#!/bin/sh

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"

tce-load -i compiletc wget submitqc4
tce-load -i alsa-dev libogg-dev flac-dev libid3tag-dev lame-dev lame twolame-dev twolame
tce-load -i libvorbis-dev OSS wavpack-dev libpng-dev libsndfile libsndfile-dev libtool-dev 
tce-load -i libmad-dev libmad libid3tag wavpack libltdl libao-dev  file-dev pulseaudio-dev
tce-load -i dbus-dev libxcb-dev

cd /tmp
/usr/local/bin/wget -nc http://downloads.sourceforge.net/project/sox/sox/14.4.0/sox-14.4.1.tar.gz
tar xvf sox-14.4.1.tar.gz
cd sox-14.4.1
./configure --prefix=/usr/local --with-distro=TinyCore
make -j3
make DESTDIR=/tmp/sox-pulse install

#####  remove dox
cd /tmp
rm -r -f  sox-pulse/usr/local/share 

############### dev
cd /tmp
mkdir -p sox-pulse-dev/usr/local/lib
mv sox-pulse/usr/local/lib/pkgconfig sox-pulse-dev/usr/local/lib
mv sox-pulse/usr/local/include sox-pulse-dev/usr/local/
mv sox-pulse/usr/local/lib/*a sox-pulse-dev/usr/local/lib
rm -r -f sox-pulse/usr/local/lib/sox

mksquashfs sox-pulse-dev sox-pulse-dev.tcz
md5sum sox-pulse-dev.tcz > sox-pulse-dev.tcz.md5.txt
cd sox-pulse-dev
find usr -not -type d > sox-pulse-dev.tcz.list
mv -f sox-pulse-dev.tcz.list /tmp


############ sox-pulse
cd /tmp

mksquashfs sox-pulse sox-pulse.tcz
md5sum sox-pulse.tcz > sox-pulse.tcz.md5.txt
cd sox-pulse
find usr -not -type d > sox-pulse.tcz.list
mv -f sox-pulse.tcz.list /tmp

######### finish
cd /tmp
sudo submitqc4

